-- =============================================
-- Author: <Author,,Name>
-- Create date: <Create Date,,>
-- Description: <Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[AL_AggiornaPortafoglioCliente_pre_selective]
AS
BEGIN
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'AL_AggiornaPortafoglioCliente_pre_selective',
		GETDATE(),
		'Elaborazione trimestrale'
	)
	TRUNCATE TABLE [C6MartPeriodico].[PIRAMIDE_VERT]
	--CALCOLO AGGREGATI
	INSERT INTO [C6MartPeriodico].[PIRAMIDE_VERT]
	(
		RETE,
		COD_FISCALE,
		ID_AREA,
		CTV_AREA/*,
		ID_ELAB*/
	)
	SELECT
		PATR.RETE,
		PATR.COD_FISCALE,
		PATR.ID_AREA,
		SUM(CTV)/*,
		ID_ELAB*/
	FROM [C6MartPeriodico].[PATRIMONIO_BF] PATR
	GROUP BY
		PATR.RETE,
		PATR.COD_FISCALE,
		PATR.ID_AREA/*,
		PATR.ID_ELAB*/
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'AL_AggiornaPortafoglioCliente_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'AL_AggiornaPortafoglioCliente_pre_selective'
		)
END